VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "PC_Fragment"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' ====== Положения фрагмента в тексте =======
' Shared module version: 20210909
' Tested in:
' Depends on:
' Required reference:
Option Explicit

Public start_ As Long
Public end_ As Long
Public type_ As Long

Public Function Init(nStart&, nEnd&, nType&)
  start_ = nStart
  end_ = nEnd
  type_ = nType
End Function

Public Function Clone() As PC_Fragment
  Set Clone = New PC_Fragment
  With Clone
    .start_ = start_
    .end_ = end_
    .type_ = type_
  End With
End Function
